Name:		qubes-manager
Version:	4.1.8
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-PyQt5
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.1
Requires:	python%{python3_pkgversion}-Quamash
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
%if 0%{?rhel} == 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:	qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations
make python

%install
make python_install \
    DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/libexec/qubes-manager/
cp qubesmanager/mount_for_backup.sh $RPM_BUILD_ROOT/usr/libexec/qubes-manager/
cp qubesmanager/qvm_about.sh $RPM_BUILD_ROOT/usr/libexec/qubes-manager/
cp qubesmanager/dsa-4371-update $RPM_BUILD_ROOT/usr/libexec/qubes-manager/

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp qubes-global-settings.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-vm-create.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-backup.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-backup-restore.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-qube-manager.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-template-manager.desktop $RPM_BUILD_ROOT/usr/share/applications/

mkdir -p $RPM_BUILD_ROOT/usr/share/desktop-directories/
cp qubes-tools.directory $RPM_BUILD_ROOT/usr/share/desktop-directories/

mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/
cp qubes-tools.menu $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh
/usr/libexec/qubes-manager/dsa-4371-update

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/table_widgets.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Mon May 25 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7eb100f
- version 4.1.8

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e55faa4
- rpm: requires qubes-desktop-linux-common >= 4.1.2

* Mon May 11 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - deb9b32
- Applications tab in VM settings now reacts to template change and handles missing entries

* Mon Apr 06 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b058db4
- Fixed incorrect memory checking in VM Settings

* Thu Mar 26 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 96e75b3
- Template should not be enabled for running VMs in VM Settings

* Thu Mar 26 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 08d1435
- Show correct template for DispVMs VM Settings

* Tue Mar 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5c82ad5
- Added "Open console" action to Qube Manager

* Fri Mar 20 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf3f102
- version 4.1.7

* Fri Feb 28 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cf601fb
- Fixed tests for new debug mode location in VM settings

* Thu Feb 27 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 92465f7
- Fixed bug in tests that leads to occassional timeouts on slow machines

* Thu Feb 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da2826d
- version 4.1.6

* Sun Feb 16 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 9acb22f
- Removed unnecessary 'needs restarting' icons for DisposableVMs in Qube Manager

* Sun Feb 09 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - bd8fc05
- Changed display of image sizes in VM settings to GB when sensible

* Thu Jan 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 0534ec6
- Fixed init memory warning being shown twice

* Tue Jan 28 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22bbba5
- version 4.1.5

* Wed Jan 15 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - c664708
- reworded memory balancing descriptions in Global Settings

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 85f5f81
- travis: switch to dom0 Fedora 31

* Wed Jan 08 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e17332d
- Handle deleting in VM Settings without silent fails

* Wed Jan 08 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f4f7611
- Fixed Apply behavior for VM Settings

* Wed Jan 08 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d814056
- Resized Global Settings

* Sat Dec 14 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6a5b0a3
- Fixed tab order

* Sat Dec 14 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 4298de6
- Moved debug mode checkbox to advanced settings

* Sat Dec 14 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5f86660
- Added handling for supported services to VM settings

* Mon Dec 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 0329383
- Fixed transifex integration

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 250cfd4
- version 4.1.4

* Thu Dec 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 041adcf
- Use events instead of pulling for updates-available status

* Wed Dec 04 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cc7b9d8
- settings: wrap direct network access warning

* Wed Dec 04 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ffcfb4e
- tests: fix startup timeout and looking for logs

* Sat Nov 30 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 0a1f12f
- Fixed bug with Global Settings

* Sat Nov 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99ab388
- version 4.1.3

* Thu Nov 28 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2a73bfb
- Fixed bug in VM Settings

* Sat Nov 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ca5e489
- Update python3-qubesadmin dependency

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2895fc5
- version 4.1.2

* Tue Nov 12 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4c39d7b
- global_settings: copy env instead of global assignment

* Mon Nov 11 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b27c10f
- Add handling for backup in progress

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 51acbde
- _run_qrexec_repo: default C local in subprocess call

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0bacf37
- global_settings: make PEP8 happy

* Sun Nov 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2c132d9
- utils: make PEP8 happy

* Sun Nov 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 044d91d
- utils: get linux-kernels from storage API

* Sat Nov 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b4cb930
- Fixed translation for application names

* Thu Nov 07 2019 Malte Leip <malte@leip.net> - 5ba012b
- Fix KernelVersion comparisons

* Tue Oct 29 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 46952eb
- Added translation support to all untranslated qubesmanager files

* Tue Oct 29 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 520cefa
- Fixed VM settings warning labels

* Tue Oct 29 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 245534d
- Re-enabled translation support for Qt5

* Tue Oct 29 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - afad888
- Fixed error in selecting backup directory in GUI backup

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15a2e74
- version 4.1.1

* Sun Oct 27 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - 42affe0
- Remove redundant popups

* Fri Oct 25 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 62774ff
- Handle CentOS 7 build.

* Fri Oct 25 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 17d6cf4
- travis: add CentOS 7 build

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7bdcb23
- Fix erroneous usage of 'qubes' module

